{"openapi":"3.1.0","info":{"title":"AI3D API","version":"2.0.0"},"paths":{"/v2/admin/provider-keys":{"get":{"summary":"List Provider Keys","operationId":"list_provider_keys_v2_admin_provider_keys_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/admin/provider-keys/activations/{activation_id}":{"get":{"summary":"Get Provider Key Activation","operationId":"get_provider_key_activation_v2_admin_provider_keys_activations__activation_id__get","parameters":[{"name":"activation_id","in":"path","required":true,"schema":{"type":"string","title":"Activation Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/admin/provider-keys/{provider}":{"post":{"summary":"Rotate Provider Key","operationId":"rotate_provider_key_v2_admin_provider_keys__provider__post","parameters":[{"name":"provider","in":"path","required":true,"schema":{"type":"string","title":"Provider"}},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderKeyRotationBody"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/admin/promotions":{"get":{"summary":"List Admin Promotions","operationId":"list_admin_promotions_v2_admin_promotions_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"summary":"Create Admin Promotion","operationId":"create_admin_promotion_v2_admin_promotions_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminPromotionBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/admin/creations":{"get":{"summary":"List Admin Creations","operationId":"list_admin_creations_v2_admin_creations_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Limit"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/admin/promotions/{promotion_id}":{"delete":{"summary":"Deactivate Admin Promotion","operationId":"deactivate_admin_promotion_v2_admin_promotions__promotion_id__delete","parameters":[{"name":"promotion_id","in":"path","required":true,"schema":{"type":"string","title":"Promotion Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/billing/packages":{"get":{"summary":"Get Billing Packages","operationId":"get_billing_packages_v2_billing_packages_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/billing/checkout":{"post":{"summary":"Start Package Checkout","operationId":"start_package_checkout_v2_billing_checkout_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackageCheckoutBody"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/billing/activate":{"post":{"summary":"Activate Paid Purchase","operationId":"activate_paid_purchase_v2_billing_activate_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActivatePurchaseBody"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/auth/status":{"get":{"summary":"Customer Auth Status","operationId":"customer_auth_status_v2_auth_status_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/account/register":{"post":{"summary":"Register Customer Account","operationId":"register_customer_account_v2_account_register_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountRegisterBody"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/claim":{"post":{"summary":"Claim Customer Account","operationId":"claim_customer_account_v2_account_claim_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountClaimBody"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/login":{"post":{"summary":"Login Customer Account","operationId":"login_customer_account_v2_account_login_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountLoginBody"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/email/resend":{"post":{"summary":"Resend Customer Verification","operationId":"resend_customer_verification_v2_account_email_resend_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountEmailBody"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/email/verify":{"post":{"summary":"Verify Customer Email","operationId":"verify_customer_email_v2_account_email_verify_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountTokenBody"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/password/forgot":{"post":{"summary":"Request Customer Password Reset","operationId":"request_customer_password_reset_v2_account_password_forgot_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountEmailBody"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/password/reset/check":{"post":{"summary":"Check Customer Password Reset Link","operationId":"check_customer_password_reset_link_v2_account_password_reset_check_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountTokenBody"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/password/reset":{"post":{"summary":"Reset Customer Password","operationId":"reset_customer_password_v2_account_password_reset_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountPasswordResetBody"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/logout":{"post":{"summary":"Logout Customer Account","operationId":"logout_customer_account_v2_account_logout_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/account/password/change":{"post":{"summary":"Change Customer Password","operationId":"change_customer_password_v2_account_password_change_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountPasswordChangeBody"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/billing/plan":{"get":{"summary":"Get Billing Plan","operationId":"get_billing_plan_v2_billing_plan_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/mobile/apps":{"post":{"summary":"Register Mobile App","operationId":"register_mobile_app_v2_mobile_apps_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobileAppBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"summary":"List Mobile Apps","operationId":"list_mobile_apps_v2_mobile_apps_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/mobile/apps/{app_id}":{"delete":{"summary":"Revoke Mobile App","operationId":"revoke_mobile_app_v2_mobile_apps__app_id__delete","parameters":[{"name":"app_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"App Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/mobile/apps/{app_id}/devices/{key_digest}":{"delete":{"summary":"Revoke Mobile Device","operationId":"revoke_mobile_device_v2_mobile_apps__app_id__devices__key_digest__delete","parameters":[{"name":"app_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"App Id"}},{"name":"key_digest","in":"path","required":true,"schema":{"type":"string","title":"Key Digest"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/mobile/apps/{app_id}/challenges":{"post":{"summary":"Create Mobile Challenge","operationId":"create_mobile_challenge_v2_mobile_apps__app_id__challenges_post","parameters":[{"name":"app_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"App Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobileChallengeBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/mobile/apps/{app_id}/attest":{"post":{"summary":"Attest Mobile Device","operationId":"attest_mobile_device_v2_mobile_apps__app_id__attest_post","parameters":[{"name":"app_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"App Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobileAttestationBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/mobile/apps/{app_id}/tokens":{"post":{"summary":"Issue Mobile Token","operationId":"issue_mobile_token_v2_mobile_apps__app_id__tokens_post","parameters":[{"name":"app_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"App Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobileTokenBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account":{"get":{"summary":"Get Customer Account","operationId":"get_customer_account_v2_account_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/keys":{"post":{"summary":"Create Customer Api Key","operationId":"create_customer_api_key_v2_account_keys_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountApiKeyBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/promotions/redeem":{"post":{"summary":"Redeem Customer Promotion","operationId":"redeem_customer_promotion_v2_account_promotions_redeem_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedeemPromotionBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/creations":{"get":{"summary":"List Customer Creations","operationId":"list_customer_creations_v2_account_creations_get","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":256},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Limit"}},{"name":"direction","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","default":"desc","title":"Direction"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/viewern-sets":{"get":{"summary":"List Customer Viewern Sets","operationId":"list_customer_viewern_sets_v2_account_viewern_sets_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"summary":"Create Customer Viewern Set","operationId":"create_customer_viewern_set_v2_account_viewern_sets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViewernSetBody"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/account/viewern-sets/{set_id}":{"delete":{"summary":"Delete Customer Viewern Set","operationId":"delete_customer_viewern_set_v2_account_viewern_sets__set_id__delete","parameters":[{"name":"set_id","in":"path","required":true,"schema":{"type":"string","title":"Set Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/billing/prices":{"get":{"summary":"Get Billing Prices","operationId":"get_billing_prices_v2_billing_prices_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/account/checkout":{"post":{"summary":"Retire Amount Checkout","operationId":"retire_amount_checkout_v2_account_checkout_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/keys/{key_id}":{"delete":{"summary":"Revoke Customer Api Key","operationId":"revoke_customer_api_key_v2_keys__key_id__delete","parameters":[{"name":"key_id","in":"path","required":true,"schema":{"type":"string","title":"Key Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"summary":"Rename Customer Api Key","operationId":"rename_customer_api_key_v2_keys__key_id__patch","parameters":[{"name":"key_id","in":"path","required":true,"schema":{"type":"string","title":"Key Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenameAccountApiKeyBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/readyz":{"get":{"summary":"Readyz","operationId":"readyz_v2_readyz_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/readyz":{"get":{"summary":"Readyz","operationId":"readyz_readyz_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/models":{"get":{"summary":"Models","operationId":"models_v2_models_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/tripo/animations/retarget":{"post":{"tags":["Tripo"],"summary":"Tripo Post Animations Retarget","operationId":"tripo_post_animations_retarget","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/animations/rig":{"post":{"tags":["Tripo"],"summary":"Tripo Post Animations Rig","operationId":"tripo_post_animations_rig","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/animations/rig-check":{"post":{"tags":["Tripo"],"summary":"Tripo Post Animations Rig Check","operationId":"tripo_post_animations_rig_check","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/files":{"post":{"tags":["Tripo"],"summary":"Tripo Post Files","operationId":"tripo_post_files","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/files/presign":{"post":{"tags":["Tripo"],"summary":"Tripo Post Files Presign","operationId":"tripo_post_files_presign","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/files/upload-credentials":{"post":{"tags":["Tripo"],"summary":"Tripo Post Files Upload Credentials","operationId":"tripo_post_files_upload_credentials","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/edit-multiview":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Edit Multiview","operationId":"tripo_post_generation_edit_multiview","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/image-to-image":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Image To Image","operationId":"tripo_post_generation_image_to_image","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/image-to-model":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Image To Model","operationId":"tripo_post_generation_image_to_model","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/image-to-multiview":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Image To Multiview","operationId":"tripo_post_generation_image_to_multiview","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/image-to-splat":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Image To Splat","operationId":"tripo_post_generation_image_to_splat","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/multiview-to-model":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Multiview To Model","operationId":"tripo_post_generation_multiview_to_model","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/text-to-image":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Text To Image","operationId":"tripo_post_generation_text_to_image","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/generation/text-to-model":{"post":{"tags":["Tripo"],"summary":"Tripo Post Generation Text To Model","operationId":"tripo_post_generation_text_to_model","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/mesh/complete":{"post":{"tags":["Tripo"],"summary":"Tripo Post Mesh Complete","operationId":"tripo_post_mesh_complete","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/mesh/decimate":{"post":{"tags":["Tripo"],"summary":"Tripo Post Mesh Decimate","operationId":"tripo_post_mesh_decimate","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/mesh/segment":{"post":{"tags":["Tripo"],"summary":"Tripo Post Mesh Segment","operationId":"tripo_post_mesh_segment","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/mesh/smartsegment":{"post":{"tags":["Tripo"],"summary":"Tripo Post Mesh Smartsegment","operationId":"tripo_post_mesh_smartsegment","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/models/convert":{"post":{"tags":["Tripo"],"summary":"Tripo Post Models Convert","operationId":"tripo_post_models_convert","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/models/import":{"post":{"tags":["Tripo"],"summary":"Tripo Post Models Import","operationId":"tripo_post_models_import","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/models/refine":{"post":{"tags":["Tripo"],"summary":"Tripo Post Models Refine","operationId":"tripo_post_models_refine","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/models/stylize":{"post":{"tags":["Tripo"],"summary":"Tripo Post Models Stylize","operationId":"tripo_post_models_stylize","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/models/texture":{"post":{"tags":["Tripo"],"summary":"Tripo Post Models Texture","operationId":"tripo_post_models_texture","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/tasks/list":{"post":{"tags":["Tripo"],"summary":"Tripo Post Tasks List","operationId":"tripo_post_tasks_list","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/account/balance":{"get":{"tags":["Tripo"],"summary":"Tripo Get Account Balance","operationId":"tripo_get_account_balance","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/account/usage":{"get":{"tags":["Tripo"],"summary":"Tripo Get Account Usage","operationId":"tripo_get_account_usage","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/tripo/tasks/{task_id}":{"get":{"tags":["Tripo"],"summary":"Tripo Get Task","operationId":"tripo_get_task","parameters":[{"name":"task_id","in":"path","required":true,"schema":{"type":"string","title":"Task Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/rig-check":{"post":{"tags":["Tripo"],"summary":"Rig Check","description":"Free riggability check: can this model be rigged, and which rig type fits?","operationId":"rig_check","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RigCheck"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/anigen/animations":{"get":{"tags":["AniGen"],"summary":"List the Mixamo-compatible AniGen animation clips","operationId":"anigen_animation_library","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/auto-rig":{"post":{"tags":["Tripo"],"summary":"Detect the rig type and automatically rig a model","description":"Runs Tripo rig-check, chooses the matching rig model and rig type, then queues a normal prepaid v2 job. Optionally retargets the default animations available for the detected rig type; the FPS pack is biped-only.","operationId":"auto_rig","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutoRigCreateJob"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/recovery/{idempotency_key}":{"get":{"summary":"Look up an existing job by its creation idempotency key","operationId":"peek_job_recovery_v2_jobs_recovery__idempotency_key__get","parameters":[{"name":"idempotency_key","in":"path","required":true,"schema":{"type":"string","title":"Idempotency Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/recover":{"post":{"summary":"Recover an existing job with its original creation body","operationId":"post_job_recovery_v2_jobs_recover_post","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJob"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs":{"post":{"summary":"Post Job","operationId":"post_job_v2_jobs_post","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"X-Client-Admission-Id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Client-Admission-Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJob"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/anigen":{"post":{"summary":"Create an AniGen job with Gemini-selected settings","description":"Accepts an image and normal job options. The v2 worker uses Gemini to choose validated AniGen settings, then submits one normal AniGen job. Requires GEMINI_ENABLED; use POST /v2/jobs with model=anigen for manual settings.","operationId":"post_anigen_auto_job_v2_anigen_post","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnigenAutoCreateJob"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/worldlabs":{"post":{"summary":"Post Worldlabs Job","operationId":"post_worldlabs_job_v2_worldlabs_post","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorldlabsCreateJob"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/image2worldviews":{"post":{"summary":"Post Image2Worldviews Job","operationId":"post_image2worldviews_job_v2_image2worldviews_post","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Image2WorldViewsCreateJob"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}":{"get":{"summary":"Get Job","operationId":"get_job_v2_jobs__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/image2worldviews/{job_id}/debug":{"get":{"summary":"Get Image2Worldviews Debug","operationId":"get_image2worldviews_debug_v2_image2worldviews__job_id__debug_get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}/share":{"post":{"summary":"Set Job Sharing","operationId":"set_job_sharing_v2_jobs__job_id__share_post","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobVisibilityBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/hosted/{slug}/{public_id}":{"get":{"summary":"Get Hosted Artifact","operationId":"get_hosted_artifact_v2_hosted__slug___public_id__get","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","title":"Slug"}},{"name":"public_id","in":"path","required":true,"schema":{"type":"string","title":"Public Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/aperture/hosted-images":{"post":{"summary":"Publish Aperture Generated Image","operationId":"publish_aperture_generated_image_v2_aperture_hosted_images_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/hosted/{slug}/{public_id}/artifacts/{name}":{"get":{"summary":"Download Hosted Artifact","operationId":"download_hosted_artifact_v2_hosted__slug___public_id__artifacts__name__get","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","title":"Slug"}},{"name":"public_id","in":"path","required":true,"schema":{"type":"string","title":"Public Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}/input":{"get":{"summary":"Get Job Input","operationId":"get_job_input_v2_jobs__job_id__input_get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}/input/image":{"get":{"summary":"Download Job Input Image","operationId":"download_job_input_image_v2_jobs__job_id__input_image_get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/viewer/{job_id}":{"get":{"summary":"Get Public Viewer Job","operationId":"get_public_viewer_job_v2_viewer__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/debug/latest-mixamo-rig":{"get":{"summary":"Get Latest Mixamo Rig","description":"Expose the newest completed Mixamo rig to the owner-only SketchAnimate debug app.","operationId":"get_latest_mixamo_rig_v2_debug_latest_mixamo_rig_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/debug/latest-low-poly":{"get":{"summary":"Get Latest Low Poly","description":"Expose the newest already-public low-poly GLB for viewer testing.","operationId":"get_latest_low_poly_v2_debug_latest_low_poly_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/debug/latest-low-poly-rig":{"get":{"summary":"Get Latest Low Poly Rig","description":"Expose the newest public rigged GLB whose source is known low-poly.","operationId":"get_latest_low_poly_rig_v2_debug_latest_low_poly_rig_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/debug/latest-low-poly-idle":{"get":{"summary":"Get Latest Low Poly Idle","description":"Expose the latest low-poly retargeted idle, aliasing locomotion when needed.","operationId":"get_latest_low_poly_idle_v2_debug_latest_low_poly_idle_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/debug/latest-low-poly-idle/{job_id}/artifacts/{name}":{"get":{"summary":"Download Latest Low Poly Idle Artifact","operationId":"download_latest_low_poly_idle_artifact_v2_debug_latest_low_poly_idle__job_id__artifacts__name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/debug/latest-low-poly-rig/{job_id}/artifacts/{name}":{"get":{"summary":"Download Latest Low Poly Rig Artifact","operationId":"download_latest_low_poly_rig_artifact_v2_debug_latest_low_poly_rig__job_id__artifacts__name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/debug/latest-low-poly/{job_id}/artifacts/{name}":{"get":{"summary":"Download Latest Low Poly Artifact","operationId":"download_latest_low_poly_artifact_v2_debug_latest_low_poly__job_id__artifacts__name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/debug/latest-mixamo-rig/{job_id}/artifacts/{name}":{"get":{"summary":"Download Debug Mixamo Rig Artifact","operationId":"download_debug_mixamo_rig_artifact_v2_debug_latest_mixamo_rig__job_id__artifacts__name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/viewer/{job_id}/artifacts/{name}":{"get":{"summary":"Download Public Viewer Artifact","operationId":"download_public_viewer_artifact_v2_viewer__job_id__artifacts__name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/viewer/{job_id}/input":{"get":{"summary":"Download Public Viewer Input","operationId":"download_public_viewer_input_v2_viewer__job_id__input_get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}/webhook":{"get":{"summary":"Get Webhook Delivery","operationId":"get_webhook_delivery_v2_jobs__job_id__webhook_get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}/webhook/retry":{"post":{"summary":"Retry Webhook Delivery","operationId":"retry_webhook_delivery_v2_jobs__job_id__webhook_retry_post","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/jobs/{job_id}/artifacts/{name}":{"get":{"summary":"Download Artifact","operationId":"download_artifact_v2_jobs__job_id__artifacts__name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/uploads":{"post":{"summary":"Upload Input","operationId":"upload_input_v2_uploads_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/inputs/{tenant}/{digest}":{"get":{"summary":"Read Input","operationId":"read_input_v2_inputs__tenant___digest__get","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string","title":"Tenant"}},{"name":"digest","in":"path","required":true,"schema":{"type":"string","title":"Digest"}},{"name":"sig","in":"query","required":true,"schema":{"type":"string","title":"Sig"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/inputs/jobs/{tenant}/{job_id}":{"get":{"summary":"Read Archived Job Input","operationId":"read_archived_job_input_v2_inputs_jobs__tenant___job_id__get","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string","title":"Tenant"}},{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"sig","in":"query","required":true,"schema":{"type":"string","title":"Sig"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v/_services/{legacy_path}/check.php":{"get":{"summary":"Legacy Check","operationId":"legacy_check_v__services__legacy_path__check_php_get","parameters":[{"name":"legacy_path","in":"path","required":true,"schema":{"type":"string","title":"Legacy Path"}},{"name":"jobId","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Jobid"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v/_artifacts/{job_id}/{name}":{"get":{"summary":"Legacy Download","operationId":"legacy_download_v__artifacts__job_id___name__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"name","in":"path","required":true,"schema":{"type":"string","title":"Name"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/purpose/image2mesh/{purpose}":{"post":{"summary":"Purpose Image2Mesh","operationId":"purpose_image2mesh_purpose_image2mesh__purpose__post","parameters":[{"name":"purpose","in":"path","required":true,"schema":{"type":"string","title":"Purpose"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/purpose/image2mesh/{purpose}/status":{"get":{"summary":"Purpose Status","operationId":"purpose_status_purpose_image2mesh__purpose__status_get","parameters":[{"name":"purpose","in":"path","required":true,"schema":{"type":"string","title":"Purpose"}},{"name":"job_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/purpose/callback/{job_id}":{"get":{"summary":"Purpose Callback","operationId":"purpose_callback_purpose_callback__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/purpose/image2mesh/{purpose}/download":{"get":{"summary":"Purpose Download","operationId":"purpose_download_purpose_image2mesh__purpose__download_get","parameters":[{"name":"purpose","in":"path","required":true,"schema":{"type":"string","title":"Purpose"}},{"name":"job_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AccountApiKeyBody":{"properties":{"name":{"type":"string","maxLength":80,"minLength":1,"title":"Name","default":"API key"}},"additionalProperties":false,"type":"object","title":"AccountApiKeyBody"},"AccountClaimBody":{"properties":{"email":{"type":"string","maxLength":320,"minLength":3,"title":"Email"},"password":{"type":"string","maxLength":128,"minLength":12,"title":"Password"},"accepted_terms":{"type":"boolean","title":"Accepted Terms"}},"additionalProperties":false,"type":"object","required":["email","password","accepted_terms"],"title":"AccountClaimBody"},"AccountEmailBody":{"properties":{"email":{"type":"string","maxLength":320,"minLength":3,"title":"Email"}},"additionalProperties":false,"type":"object","required":["email"],"title":"AccountEmailBody"},"AccountLoginBody":{"properties":{"email":{"type":"string","maxLength":320,"minLength":3,"title":"Email"},"password":{"type":"string","maxLength":128,"minLength":1,"title":"Password"}},"additionalProperties":false,"type":"object","required":["email","password"],"title":"AccountLoginBody"},"AccountPasswordChangeBody":{"properties":{"current_password":{"type":"string","maxLength":128,"minLength":1,"title":"Current Password"},"new_password":{"type":"string","maxLength":128,"minLength":12,"title":"New Password"}},"additionalProperties":false,"type":"object","required":["current_password","new_password"],"title":"AccountPasswordChangeBody"},"AccountPasswordResetBody":{"properties":{"token":{"type":"string","maxLength":256,"minLength":20,"title":"Token"},"password":{"type":"string","maxLength":128,"minLength":12,"title":"Password"}},"additionalProperties":false,"type":"object","required":["token","password"],"title":"AccountPasswordResetBody"},"AccountRegisterBody":{"properties":{"email":{"type":"string","maxLength":320,"minLength":3,"title":"Email"},"password":{"type":"string","maxLength":128,"minLength":12,"title":"Password"},"accepted_terms":{"type":"boolean","title":"Accepted Terms"}},"additionalProperties":false,"type":"object","required":["email","password","accepted_terms"],"title":"AccountRegisterBody"},"AccountTokenBody":{"properties":{"token":{"type":"string","maxLength":256,"minLength":20,"title":"Token"}},"additionalProperties":false,"type":"object","required":["token"],"title":"AccountTokenBody"},"ActivatePurchaseBody":{"properties":{"purchase_id":{"type":"string","maxLength":32,"minLength":32,"pattern":"^[0-9a-f]+$","title":"Purchase Id"},"session_id":{"type":"string","maxLength":255,"minLength":10,"pattern":"^cs_(live|test)_[A-Za-z0-9_]+$","title":"Session Id"}},"additionalProperties":false,"type":"object","required":["purchase_id","session_id"],"title":"ActivatePurchaseBody"},"AdminPromotionBody":{"properties":{"kind":{"type":"string","enum":["credit_grant","stripe_discount"],"title":"Kind"},"max_redemptions":{"type":"integer","maximum":5000.0,"minimum":1.0,"title":"Max Redemptions"},"expires_at":{"anyOf":[{"type":"integer","minimum":0.0},{"type":"null"}],"title":"Expires At"},"credit_cents":{"anyOf":[{"type":"integer","multipleOf":1000.0,"maximum":50000.0,"minimum":1000.0},{"type":"null"}],"title":"Credit Cents"},"discount_type":{"anyOf":[{"type":"string","enum":["percent","amount"]},{"type":"null"}],"title":"Discount Type"},"discount_value":{"anyOf":[{"type":"integer","maximum":50000.0,"minimum":1.0},{"type":"null"}],"title":"Discount Value"},"credit_policy":{"anyOf":[{"type":"string","enum":["full_package","paid_amount"]},{"type":"null"}],"title":"Credit Policy"}},"additionalProperties":false,"type":"object","required":["kind","max_redemptions"],"title":"AdminPromotionBody"},"AnigenAutoCreateJob":{"properties":{"model":{"type":"string","const":"anigen","title":"Model","default":"anigen"},"viewer_style":{"type":"string","enum":["default","illustration"],"title":"Viewer Style","default":"default"},"image_url":{"type":"string","maxLength":2083,"minLength":1,"format":"uri","title":"Image Url"},"video_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Video Url"},"source_job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Source Job Id"},"model_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Model Url"},"input":{"additionalProperties":true,"type":"object","title":"Input"},"publish":{"type":"boolean","title":"Publish","default":false},"slug":{"type":"string","maxLength":40,"minLength":1,"pattern":"^[a-z0-9](?:[a-z0-9-]{0,38}[a-z0-9])?$","title":"Slug","default":"world"},"webhook_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Webhook Url"},"webhook_secret":{"anyOf":[{"type":"string","maxLength":256,"minLength":32},{"type":"null"}],"title":"Webhook Secret"}},"additionalProperties":false,"type":"object","required":["image_url"],"title":"AnigenAutoCreateJob","description":"One-stop request: the server selects AniGen settings from the supplied image."},"AutoRigCreateJob":{"properties":{"source_job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Source Job Id"},"model_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Model Url"},"include_default_animations":{"type":"boolean","title":"Include Default Animations","default":false},"include_fps_animations":{"type":"boolean","title":"Include Fps Animations","default":false},"spec":{"type":"string","enum":["tripo","mixamo"],"title":"Spec","default":"tripo"},"out_format":{"type":"string","enum":["glb","fbx"],"title":"Out Format","default":"glb"}},"additionalProperties":false,"type":"object","title":"AutoRigCreateJob","description":"Detect a Tripo rig type, apply the rig, and optionally retarget its default animations."},"CreateJob":{"properties":{"model":{"type":"string","title":"Model","default":"rodin-v2"},"viewer_style":{"type":"string","enum":["default","illustration"],"title":"Viewer Style","default":"default"},"image_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Image Url"},"video_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Video Url"},"source_job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Source Job Id"},"model_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Model Url"},"input":{"additionalProperties":true,"type":"object","title":"Input"},"publish":{"type":"boolean","title":"Publish","default":false},"slug":{"type":"string","maxLength":40,"minLength":1,"pattern":"^[a-z0-9](?:[a-z0-9-]{0,38}[a-z0-9])?$","title":"Slug","default":"world"},"webhook_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Webhook Url"},"webhook_secret":{"anyOf":[{"type":"string","maxLength":256,"minLength":32},{"type":"null"}],"title":"Webhook Secret"}},"type":"object","title":"CreateJob"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"Image2WorldViewsCreateJob":{"properties":{"image_url":{"type":"string","maxLength":2083,"minLength":1,"format":"uri","title":"Image Url"},"views":{"items":{"type":"string","enum":["left","right","up","down","forward","back"]},"type":"array","maxItems":6,"minItems":1,"title":"Views"},"publish":{"type":"boolean","title":"Publish","default":false},"slug":{"type":"string","maxLength":40,"minLength":1,"pattern":"^[a-z0-9](?:[a-z0-9-]{0,38}[a-z0-9])?$","title":"Slug","default":"world"}},"type":"object","required":["image_url"],"title":"Image2WorldViewsCreateJob"},"JobVisibilityBody":{"properties":{"public":{"type":"boolean","title":"Public"}},"additionalProperties":false,"type":"object","required":["public"],"title":"JobVisibilityBody"},"MobileAppBody":{"properties":{"name":{"type":"string","maxLength":80,"minLength":1,"title":"Name"},"app_id_prefix":{"type":"string","pattern":"^[A-Z0-9]{10}$","title":"App Id Prefix"},"bundle_id":{"type":"string","maxLength":255,"minLength":5,"pattern":"^[A-Za-z0-9-]+(?:\\.[A-Za-z0-9-]+)+$","title":"Bundle Id"},"allowed_models":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":100,"minItems":1},{"type":"null"}],"title":"Allowed Models"},"environment":{"type":"string","enum":["production","development"],"title":"Environment","default":"production"},"jobs_per_minute":{"anyOf":[{"type":"integer","maximum":1000.0,"minimum":1.0},{"type":"null"}],"title":"Jobs Per Minute"},"jobs_per_day":{"anyOf":[{"type":"integer","maximum":100000.0,"minimum":1.0},{"type":"null"}],"title":"Jobs Per Day"}},"additionalProperties":false,"type":"object","required":["name","app_id_prefix","bundle_id"],"title":"MobileAppBody"},"MobileAttestationBody":{"properties":{"challenge_id":{"type":"string","pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","title":"Challenge Id"},"key_id":{"type":"string","maxLength":44,"minLength":44,"pattern":"^[A-Za-z0-9+/]{43}=$","title":"Key Id"},"attestation_object":{"type":"string","maxLength":196608,"minLength":1,"title":"Attestation Object"}},"additionalProperties":false,"type":"object","required":["challenge_id","key_id","attestation_object"],"title":"MobileAttestationBody"},"MobileChallengeBody":{"properties":{"purpose":{"type":"string","enum":["attest","token"],"title":"Purpose"},"key_id":{"anyOf":[{"type":"string","maxLength":44,"minLength":44,"pattern":"^[A-Za-z0-9+/]{43}=$"},{"type":"null"}],"title":"Key Id"}},"additionalProperties":false,"type":"object","required":["purpose"],"title":"MobileChallengeBody"},"MobileTokenBody":{"properties":{"challenge_id":{"type":"string","pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","title":"Challenge Id"},"key_id":{"type":"string","maxLength":44,"minLength":44,"pattern":"^[A-Za-z0-9+/]{43}=$","title":"Key Id"},"assertion_object":{"type":"string","maxLength":32768,"minLength":1,"title":"Assertion Object"}},"additionalProperties":false,"type":"object","required":["challenge_id","key_id","assertion_object"],"title":"MobileTokenBody"},"PackageCheckoutBody":{"properties":{"package_id":{"type":"string","maxLength":64,"minLength":3,"pattern":"^[a-z0-9_-]+$","title":"Package Id"},"accepted_terms":{"type":"boolean","title":"Accepted Terms"},"website":{"type":"string","maxLength":200,"title":"Website","default":""},"promo_code":{"anyOf":[{"type":"string","maxLength":32,"minLength":8,"pattern":"^[A-Za-z0-9]+$"},{"type":"null"}],"title":"Promo Code"}},"additionalProperties":false,"type":"object","required":["package_id","accepted_terms"],"title":"PackageCheckoutBody"},"ProviderKeyRotationBody":{"properties":{"key":{"type":"string","maxLength":4096,"minLength":1,"title":"Key","writeOnly":true}},"additionalProperties":false,"type":"object","required":["key"],"title":"ProviderKeyRotationBody"},"RedeemPromotionBody":{"properties":{"code":{"type":"string","maxLength":32,"minLength":8,"pattern":"^[A-Za-z0-9]+$","title":"Code"}},"additionalProperties":false,"type":"object","required":["code"],"title":"RedeemPromotionBody"},"RenameAccountApiKeyBody":{"properties":{"name":{"type":"string","maxLength":80,"minLength":1,"title":"Name"}},"additionalProperties":false,"type":"object","required":["name"],"title":"RenameAccountApiKeyBody"},"RigCheck":{"properties":{"source_job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Source Job Id"},"model_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Model Url"}},"additionalProperties":false,"type":"object","title":"RigCheck","description":"Free Tripo riggability check for one of the caller's own models."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"ViewernSetBody":{"properties":{"name":{"type":"string","maxLength":80,"minLength":1,"title":"Name"},"job_ids":{"items":{"type":"string"},"type":"array","maxItems":12,"minItems":2,"title":"Job Ids"}},"additionalProperties":false,"type":"object","required":["name","job_ids"],"title":"ViewernSetBody"},"WorldlabsCreateJob":{"properties":{"model":{"type":"string","enum":["worldlabs","worldlabs-draft"],"title":"Model","default":"worldlabs"},"viewer_style":{"type":"string","enum":["default","illustration"],"title":"Viewer Style","default":"default"},"image_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Image Url"},"video_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Video Url"},"source_job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Source Job Id"},"model_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Model Url"},"input":{"additionalProperties":true,"type":"object","title":"Input"},"publish":{"type":"boolean","title":"Publish","default":false},"slug":{"type":"string","maxLength":40,"minLength":1,"pattern":"^[a-z0-9](?:[a-z0-9-]{0,38}[a-z0-9])?$","title":"Slug","default":"world"},"webhook_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Webhook Url"},"webhook_secret":{"anyOf":[{"type":"string","maxLength":256,"minLength":32},{"type":"null"}],"title":"Webhook Secret"}},"type":"object","title":"WorldlabsCreateJob"}}}}